using System;
using Addison_Wesley.Codebook.Filesystem;

namespace Zjištění_složky_Windows
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Zjištění zvláštních adresářů Windows";

         string windowsDirectory = FolderUtils.GetWindowsDirectoryName();
         string systemDirectory = FolderUtils.GetSystemDirectoryName();
         string programDirectory = FolderUtils.GetProgramDirectoryName();
         string nonRoamingUserApplicationDataDirectory = FolderUtils.GetNonRoamingUserApplicationDataDirectoryName();
         string roamingUserApplicationDataDirectory = FolderUtils.GetRoamingUserApplicationDataDirectoryName();
         string allUserApplicationDataDirectory = FolderUtils.GetAllUsersApplicationDataDirectoryName();
         string desktopDirectory = FolderUtils.GetDesktopDirectoryName();
         string favoritesDirectory = FolderUtils.GetFavoritesDirectoryName();
         string recentDirectory = FolderUtils.GetRecentDirectoryName();

         Console.WriteLine("Složka Windows:\r\n{0}", windowsDirectory);
         Console.WriteLine("\r\nSystémová složka Windows:\r\n{0}", systemDirectory);
         Console.WriteLine("\r\nSložka programů:\r\n{0}", programDirectory);
         Console.WriteLine("\r\nDatová složka pro lokální uživatele:\r\n{0}", nonRoamingUserApplicationDataDirectory);
         Console.WriteLine("\r\nDatová složka pro vzdálené uživatele:\r\n{0}", roamingUserApplicationDataDirectory);
         Console.WriteLine("\r\nDatová složka pro všechny uživatele:\r\n{0}", allUserApplicationDataDirectory);
         Console.WriteLine("\r\nSložka plochy:\r\n{0}", desktopDirectory);
         Console.WriteLine("\r\nSložka oblíbených položek:\r\n{0}", favoritesDirectory);
         Console.WriteLine("\r\nSložka nedávno otevřených dokumentů:\r\n{0}",
            recentDirectory);

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}

